(define-module (glicid packages monitoring)
  #:use-module (guix packages)
  #:use-module (guix utils)

  #:use-module ((gnu packages monitoring)
                #:prefix gnu:)
  #:use-module (guix download))

(define-public zabbix-agentd
 (package 
    (inherit gnu:zabbix-agentd)
    (version "6.0.13")
    (source

     (origin
       (method url-fetch)
       (uri (string-append
             "https://cdn.zabbix.com/zabbix/sources/stable/"
             (version-major+minor version) "/zabbix-" version ".tar.gz"))
       (sha256
        (base32 "0d9aws19rvmsrhkvihnwmr4r1drhl20v9lppdw5wjacp7377xqdy"))
       (modules '((guix build utils)))
       (snippet
        '(substitute* '("src/zabbix_proxy/proxy.c"
                        "src/zabbix_server/server.c")
           ;; 'fping' must be setuid, so look for it in the usual location.
           (("/usr/sbin/fping6?")
            "/run/setuid-programs/fping")))))

))


(define-public zabbix-agent2
 (package 
    (inherit gnu:zabbix-agent2)
    (version "6.0.13")
    (source

     (origin
       (method url-fetch)
       (uri (string-append
             "https://cdn.zabbix.com/zabbix/sources/stable/"
             (version-major+minor version) "/zabbix-" version ".tar.gz"))
       (sha256
        (base32 "0d9aws19rvmsrhkvihnwmr4r1drhl20v9lppdw5wjacp7377xqdy"))
       (modules '((guix build utils)))
       (snippet
        '(substitute* '("src/zabbix_proxy/proxy.c"
                        "src/zabbix_server/server.c")
           ;; 'fping' must be setuid, so look for it in the usual location.
           (("/usr/sbin/fping6?")
            "/run/setuid-programs/fping")))))

))


(define-public zabbix-server
  (package 
    (inherit gnu:zabbix-server)
    (version "6.0.13")
    (source

     (origin
       (method url-fetch)
       (uri (string-append
             "https://cdn.zabbix.com/zabbix/sources/stable/"
             (version-major+minor version) "/zabbix-" version ".tar.gz"))
       (sha256
	(base32 "0d9aws19rvmsrhkvihnwmr4r1drhl20v9lppdw5wjacp7377xqdy"))
      (modules '((guix build utils)))
       (snippet
        '(substitute* '("src/zabbix_proxy/proxy.c"
                        "src/zabbix_server/server.c")
           ;; 'fping' must be setuid, so look for it in the usual location.
           (("/usr/sbin/fping6?")
            "/run/setuid-programs/fping")))))


 )
)


